
#include <QApplication>
#include <QObject>
#include <iostream>
#include <QTextCodec>
#include <QProgressDialog>
#include <QtOpenGL/QGLWidget>
#include "MainWindow.h"

using namespace std;

//Les explications pour chaque classe se trouvent dans les .h

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	
	QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
	QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));
	if (!QGLFormat::hasOpenGL())
		{
                        cout << "+ Support OpenGL : FAILED" << endl;
			return 1;
		}
	else
                qDebug() <<  "+ Support OpenGL : OK" ;

	//on cre la fenetre principale de type QMainWindows (MainWindows.cpp)
	MainWindow FenetrePrincipale;
	FenetrePrincipale.show();
	
	return app.exec();
}



